headless lms

Remove content from a bundle

DELETE /api/bundles/{bundleId}/items/{contentId}. Remove content from a bundle. Headless LMS Content API reference.

DELETE
/api/bundles/{bundleId}/items/{contentId}

Requires bundles:write. The content survives; access to it through the bundle ends. Returns the bundle's content.

Path Parameters

bundleId*string
contentId*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/api/bundles/string/items/string"
[  {    "orgId": "string",    "bundleId": "string",    "contentId": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }]
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}